> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список участников группы

> Список участников группы авторизации аккаунта

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/auth/groups/{group_id}/members
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Список участников группы авторизации аккаунта
      description: Перечисляет прямых участников группы, привязанной к аккаунту в пути.
      operationId: >-
        list_public_account_auth_group_members_v1_public_accounts__account_id__auth_groups__group_id__members_get
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMembersPageResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMembersPageResponse:
      properties:
        account_id:
          format: uuid
          title: Id аккаунта
          type: string
        group_id:
          title: ID группы
          type: string
        groups:
          items:
            $ref: '#/components/schemas/GroupResponse'
          title: группы
          type: array
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: Связанные области
          type: array
        members:
          items:
            $ref: '#/components/schemas/GroupMemberResponse'
          title: участники
          type: array
        page:
          title: Страница
          type: integer
        page_size:
          title: Размер страницы
          type: integer
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: поиск
        total:
          title: Всего
          type: integer
        users:
          items:
            $ref: '#/components/schemas/GroupMemberUserResponse'
          title: пользователи
          type: array
      required:
        - group_id
        - account_id
        - page
        - page_size
        - total
      title: GroupMembersPageResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: Id аккаунта
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: атрибуты
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Описание
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: ID аккаунта Keycloak
        keycloak_name:
          title: Имя Keycloak
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: Связанные области
          type: array
        name:
          title: Имя
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ID родителя
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: путь
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: ID подгрупп
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    GroupScopeLinkResponse:
      description: Схема области ресурса, связанной с группой.
      properties:
        resource_id:
          format: uuid
          title: ID ресурса
          type: string
        resource_type:
          title: Тип ресурса
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    GroupMemberResponse:
      description: Единственная прямая запись члена группы.
      properties:
        group:
          anyOf:
            - $ref: '#/components/schemas/GroupResponse'
            - type: 'null'
        resolved:
          title: Разрешено
          type: boolean
        subject_id:
          title: ID субъекта
          type: string
        subject_type:
          title: Тип субъекта
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/GroupMemberUserResponse'
            - type: 'null'
      required:
        - subject_type
        - subject_id
        - resolved
      title: GroupMemberResponse
      type: object
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Электронная почта
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Имя
        id:
          title: ID
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Фамилия
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Имя пользователя
      required:
        - id
      title: GroupMemberUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Общий снимок возможностей проверки для управления пользователями,
        группами и приглашениями.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Ключи назначенных наборов
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Ключи прямых возможностей
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: Назначения владельца
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: Разрешенные ключи возможностей
          type: array
        status:
          default: active
          title: Статус
          type: string
        subject_id:
          default: ''
          title: ID субъекта
          type: string
        subject_type:
          default: unknown
          title: Тип субъекта
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    OwnerAssignmentSnapshot:
      description: Схема, показывающая отношения владельца учетной записи.
      properties:
        account_id:
          format: uuid
          title: Id аккаунта
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````